Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Class LinkLabelAlignment

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.codegen.gmfgen.LinkLabelAlignment

All Implemented Interfaces:
  Enumerator

public final class LinkLabelAlignment
extends AbstractEnumerator

A representation of the literals of the enumeration 'Link Label Alignment', and utility methods for working with them. Constants from `ConnectionLocator`

See Also:
  `GMFGenPackage.getLinkLabelAlignment()`
** Generated **
Model:

Field Summary
`static int` `MIDDLE` The 'MIDDLE' literal value
`static LinkLabelAlignment` `MIDDLE_LITERAL` The 'MIDDLE' literal object
`static int` `SOURCE` The 'SOURCE' literal value
`static LinkLabelAlignment` `SOURCE_LITERAL` The 'SOURCE' literal object
`static int` `TARGET` The 'TARGET' literal value
`static LinkLabelAlignment` `TARGET_LITERAL` The 'TARGET' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Link Label Alignment' enumerators

Method Summary
`static LinkLabelAlignment` `get(int value)` Returns the 'Link Label Alignment' literal with the specified integer value
`static LinkLabelAlignment` `get(java.lang.String literal)` Returns the 'Link Label Alignment' literal with the specified literal value
`static LinkLabelAlignment` `getByName(java.lang.String name)` Returns the 'Link Label Alignment' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MIDDLE

    public static final int MIDDLE

  The 'MIDDLE' literal value.

  If the meaning of 'MIDDLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LinkLabelAlignment.MIDDLE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### TARGET

    public static final int TARGET

  The 'TARGET' literal value.

  If the meaning of 'TARGET' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LinkLabelAlignment.TARGET_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOURCE

    public static final int SOURCE

  The 'SOURCE' literal value.

  If the meaning of 'SOURCE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LinkLabelAlignment.SOURCE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### MIDDLE_LITERAL

    public static final LinkLabelAlignment MIDDLE_LITERAL

  The 'MIDDLE' literal object.

  See Also:
    `LinkLabelAlignment.MIDDLE`
  ** Generated **
  Ordered:

### TARGET_LITERAL

    public static final LinkLabelAlignment TARGET_LITERAL

  The 'TARGET' literal object.

  See Also:
    `LinkLabelAlignment.TARGET`
  ** Generated **
  Ordered:

### SOURCE_LITERAL

    public static final LinkLabelAlignment SOURCE_LITERAL

  The 'SOURCE' literal object.

  See Also:
    `LinkLabelAlignment.SOURCE`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Link Label Alignment' enumerators.

  ** Generated **

Method Detail

### get

    public static LinkLabelAlignment get(java.lang.String literal)

  Returns the 'Link Label Alignment' literal with the specified literal value.

  ** Generated **

### getByName

    public static LinkLabelAlignment getByName(java.lang.String name)

  Returns the 'Link Label Alignment' literal with the specified name.

  ** Generated **

### get

    public static LinkLabelAlignment get(int value)

  Returns the 'Link Label Alignment' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.